Permalink
Browse files

Use version 1.8 of ruby for bundle items

10.7 and 10.8 only include ruby 1.8, so all bundle items have been written to work with that. Optionally supporting ruby 1.9 and 2.0 is problematic as these versions are not fully backwards compatible.

#ignore
  • Loading branch information...
1 parent 2abc385 commit b10394faddee27c95158dee7094e2fe282391a01 @infininight infininight committed Jul 27, 2013
@@ -5,7 +5,7 @@
<key>beforeRunningCommand</key>
<string>nop</string>
<key>command</key>
- <string>#!/usr/bin/env ruby
+ <string>#!/System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/bin/ruby
# Replace != with ~= for the novice user
line = ENV['TM_LINE_NUMBER'].to_i
columns = ENV['TM_LINE_INDEX'].to_i-1
@@ -5,7 +5,7 @@
<key>beforeRunningCommand</key>
<string>nop</string>
<key>command</key>
- <string>#!/usr/bin/env ruby
+ <string>#!/System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/bin/ruby
if ENV.has_key?('TM_SELECTED_TEXT') then
result = ENV['TM_SELECTED_TEXT'].strip
@@ -5,7 +5,7 @@
<key>beforeRunningCommand</key>
<string>nop</string>
<key>command</key>
- <string>#!/usr/bin/env ruby
+ <string>#!/System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/bin/ruby
thisline = ENV['TM_CURRENT_LINE']
soft_tabs = ENV['TM_SOFT_TABS']
tab_size = ENV['TM_TAB_SIZE'].to_i
@@ -5,7 +5,7 @@
<key>beforeRunningCommand</key>
<string>nop</string>
<key>command</key>
- <string>#!/usr/bin/env ruby
+ <string>#!/System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/bin/ruby
lineindex = ENV['TM_LINE_INDEX'].to_i
thisline = ENV['TM_CURRENT_LINE']
scopes = ENV['TM_SCOPE'].split
@@ -5,7 +5,7 @@
<key>beforeRunningCommand</key>
<string>nop</string>
<key>command</key>
- <string>#!/usr/bin/env ruby
+ <string>#!/System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/bin/ruby
width = 80
@@ -5,7 +5,7 @@
<key>beforeRunningCommand</key>
<string>nop</string>
<key>command</key>
- <string>#!/usr/bin/env ruby
+ <string>#!/System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/bin/ruby
width = 80
buffer = 5
@@ -5,7 +5,7 @@
<key>beforeRunningCommand</key>
<string>nop</string>
<key>command</key>
- <string>#!/usr/bin/env ruby
+ <string>#!/System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/bin/ruby
input = STDIN.readlines
@@ -5,7 +5,7 @@
<key>beforeRunningCommand</key>
<string>nop</string>
<key>command</key>
- <string>#!/usr/bin/env ruby
+ <string>#!/System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/bin/ruby
print case str = STDIN.read
when /\A(.*?)\%(.*)$/: $1 + '#' + $2
View
@@ -5,7 +5,7 @@
<key>beforeRunningCommand</key>
<string>nop</string>
<key>command</key>
- <string>#!/usr/bin/env ruby
+ <string>#!/System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/bin/ruby
require ENV["TM_BUNDLE_SUPPORT"] + "/lib/MATLABUtils.rb"
include MATLAB
variables = MATLAB.get_variables
@@ -5,7 +5,7 @@
<key>beforeRunningCommand</key>
<string>nop</string>
<key>command</key>
- <string>#!/usr/bin/env ruby
+ <string>#!/System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/bin/ruby
textarray = STDIN.readlines
currentline = ENV['TM_LINE_NUMBER'].to_i
@@ -5,7 +5,7 @@
<key>beforeRunningCommand</key>
<string>nop</string>
<key>command</key>
- <string>#!/usr/bin/env ruby
+ <string>#!/System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/bin/ruby
textarray = STDIN.readlines
currentline = ENV['TM_LINE_NUMBER'].to_i
@@ -5,7 +5,7 @@
<key>beforeRunningCommand</key>
<string>nop</string>
<key>command</key>
- <string>#!/usr/bin/env ruby
+ <string>#!/System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/bin/ruby
# Due to many special cases, this is rather ugly.
@@ -5,7 +5,7 @@
<key>beforeRunningCommand</key>
<string>nop</string>
<key>command</key>
- <string>#!/usr/bin/env ruby
+ <string>#!/System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/bin/ruby
# Wrap the current word or selected text in num2str()
# or insert " if there is no word
View
@@ -5,7 +5,7 @@
<key>beforeRunningCommand</key>
<string>nop</string>
<key>command</key>
- <string>#!/usr/bin/env ruby
+ <string>#!/System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/bin/ruby
require ENV["TM_BUNDLE_SUPPORT"] + "/lib/MATLABUtils.rb"
include MATLAB
variables = MATLAB.get_variables
@@ -5,7 +5,7 @@
<key>beforeRunningCommand</key>
<string>nop</string>
<key>command</key>
- <string>#!/usr/bin/env ruby
+ <string>#!/System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/bin/ruby
#
# Looks through code, finds the last subplot function
# and pre-populates the new subplot call with values

0 comments on commit b10394f

Please sign in to comment.